Page MenuHomePhabricator

Fake sections in translate tags don't work when you click their section edit link
Open, Stalled, LowestPublic

Description

Trying to edit section on https://www.mediawiki.org/wiki/Wikidata_query_service/User_Manual#SPARQL_endpoint, I go to the section and click on "edit source". I get an error:

Cannot find section
You tried to edit a section that does not exist. It may have been moved or deleted while you were viewing the page.

Return to Wikidata query service/User Manual.

at the URL https://www.mediawiki.org/w/index.php?title=Wikidata_query_service/User_Manual&action=edit&section=7


(Note: Temporary workaround: The easiest workaround, is to just edit the entire page. That way you can fix the individual problem(s). Any editor can do this, on non-protected original-language pages.)

Event Timeline

Smalyshev created this task.May 2 2016, 7:39 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 2 2016, 7:39 PM
Jdforrester-WMF renamed this task from Section edit broken on www.mediawiki.org to Fake sections in translate tags don't work when you click their section edit link.May 2 2016, 7:48 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Section editing works fine – see https://www.mediawiki.org/w/index.php?title=File:Protection_form_without_Simple_Security.png&action=edit&section=1 for example. This is just the problem with the Translate extension faking sections based on fragments of wikitext.

Oh, I see. So it's those translate tags that break it I assume.

Nikerabbit closed this task as Invalid.May 3 2016, 11:24 AM
Nikerabbit added a subscriber: Nikerabbit.
Smalyshev reopened this task as Open.May 4 2016, 5:44 PM

I don't think it's resolved - if the UI shows a section and section links and it's clickable and when I click on this link I get "cannot find section" then there is a bug somewhere. I don't know where exactly is the bug or what team is responsible for fixing it, but it's not a normal situation.

I don't understand what you mean with "not resolved". Section editing won't work if the tags are not used in the recommended way.

There is little than can be done about this given the current implementation.

Smalyshev changed the task status from Open to Stalled.May 4 2016, 6:22 PM

I just think this is a problem, and it has to be tracked as existing problem. That doesn't mean we need to fix it right now, but implementations can change and we should be aware of the issues, especially if they are so obvious and impact users directly. If somebody happens to have the same problem I saw, it would be useful for them to see it is a real issue, it is not fixed and there's a workaround for it as you noted in https://phabricator.wikimedia.org/T134194#2259621

Nikerabbit triaged this task as Lowest priority.May 30 2016, 12:38 PM

I don't believe anyone is going to fix this. Rather I would dupe this to the visual translation task.

Quiddity updated the task description. (Show Details)Aug 23 2017, 5:31 PM